# Class MetalBorders.ButtonBorder

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.plaf.metal.MetalBorders.ButtonBorder

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Direct Known Subclasses:
  `MetalBorders.RolloverButtonBorder, MetalBorders.ToggleButtonBorder`

Enclosing class:
  `MetalBorders`

public static class MetalBorders.ButtonBorder extends AbstractBorder implements UIResource
The class represents the border of a `JButton`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static Insets`
  `borderInsets`
  The border insets.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonBorder()`
  Constructs a `ButtonBorder`.

- ## Method Summary

  ### Methods declared in class AbstractBorder

  `getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### borderInsets

    protected static Insets borderInsets
    The border insets.

- ## Constructor Details

  - ### ButtonBorder

    public ButtonBorder()
    Constructs a `ButtonBorder`.